Index: main/kernel/src/org/ametys/runtime/config/ConfigManager.java
===================================================================
--- main/kernel/src/org/ametys/runtime/config/ConfigManager.java	(revision 38980)
+++ main/kernel/src/org/ametys/runtime/config/ConfigManager.java	(working copy)
@@ -23,6 +23,7 @@
 import java.util.HashMap;
 import java.util.Iterator;
 import java.util.LinkedHashMap;
+import java.util.List;
 import java.util.Map;
 import java.util.Properties;
 import java.util.Set;
@@ -131,8 +132,8 @@
     }
 
     /**
-     * Returns false if the model is initialized and all parameters are valued
-     * @return false if the model is initialized and all parameters are valued
+     * Returns true if the model is initialized and all parameters are valued
+     * @return true if the model is initialized and all parameters are valued
      */
     public boolean isComplete()
     {
@@ -478,7 +479,7 @@
     {
         String id = parameter.getId();
         Object value = ParameterHelper.castValue(untypedValues.get(id), parameter.getType());
-
+        
         if (value == null && !"".equals(untypedValues.get(id)))
         {
             if (_logger.isWarnEnabled())
@@ -513,6 +514,13 @@
                 
                 _isComplete = false;
             }
+            
+            if (parameter.getType().equals(ParameterType.DATASOURCE))
+            {
+                // lookup sqldatasource manager
+                // get the data source descriptor
+                // SQLConnectionChecker.check(dataSourceParameters)
+            }
         }
         
         return value;
@@ -709,6 +717,27 @@
     }
     
     /**
+     * Retrieve configuration parameter ids of the given type
+     * @param type The type of configuration parameter we wish to retrieve
+     * @return the list of configuration parameter ids of that type
+     */
+    public List<String> getIdsByType(ParameterType type)
+    {
+        List<String> ids = new ArrayList<>();
+        for (String id : _params.keySet())
+        {
+            ConfigParameter configParameter = _params.get(id);
+            
+            if (configParameter.getType().equals(type))
+            {
+                ids.add(id);
+            }
+        }
+        
+        return ids;
+    }
+        
+    /**
      * Gets the parameter checker with its id
      * @param id the id of the parameter checker to get
      * @return the associated parameter checker descriptor
Index: main/kernel/src/org/ametys/runtime/parameter/ParameterCheckerDescriptor.java
===================================================================
--- main/kernel/src/org/ametys/runtime/parameter/ParameterCheckerDescriptor.java	(revision 38980)
+++ main/kernel/src/org/ametys/runtime/parameter/ParameterCheckerDescriptor.java	(working copy)
@@ -312,8 +312,8 @@
     }
     
     /**
-     * Retrieves the configuration of the parameter the parameter checker is attached to
-     * @return _uiRefParamId the configuration of the parameter
+     * Retrieves the id of the parameter the parameter checker is attached to
+     * @return _uiRefParamId the id of the parameter
      */
     public String getUiRefParamId()
     {
@@ -321,8 +321,8 @@
     }
     
     /**
-     * Sets the configuration of the parameter the parameter checker is attached to
-     * @param uiRefParamId the configuration of the parameter
+     * Sets the id of the parameter the parameter checker is attached to
+     * @param uiRefParamId the id of the parameter
      */
     public void setUiRefParamId(String uiRefParamId)
     {
Index: main/kernel/src/org/ametys/runtime/parameter/ParameterHelper.java
===================================================================
--- main/kernel/src/org/ametys/runtime/parameter/ParameterHelper.java	(revision 38980)
+++ main/kernel/src/org/ametys/runtime/parameter/ParameterHelper.java	(working copy)
@@ -56,7 +56,9 @@
         /** date values */
         DATE,
         /** binary values */
-        BINARY
+        BINARY,
+        /** datasource values */
+        DATASOURCE
     }
 
     // Logger for traces
@@ -128,6 +130,10 @@
             {
                 return value;
             }
+            else if (type == ParameterType.DATASOURCE)
+            {
+                return value;
+            }
             else if (type == ParameterType.LONG)
             {
                 return  new Long(value);
Index: main/kernel/src/org/ametys/runtime/plugin/plugin-4.0.xsd
===================================================================
--- main/kernel/src/org/ametys/runtime/plugin/plugin-4.0.xsd	(revision 38980)
+++ main/kernel/src/org/ametys/runtime/plugin/plugin-4.0.xsd	(working copy)
@@ -1034,6 +1034,7 @@
                                     <li>long</li>
                                     <li>double</li>
                                     <li>date (date and time)</li>
+                                    <li>datasource</li>
                                 </ul>
                             ]]>
                         </xsd:documentation>
@@ -1046,6 +1047,7 @@
                             <xsd:enumeration value="long"/>
                             <xsd:enumeration value="double"/>
                             <xsd:enumeration value="date"/>
+                            <xsd:enumeration value="datasource"/>
                         </xsd:restriction>
                     </xsd:simpleType>
                 </xsd:attribute>
Index: main/kernel/src/org/ametys/runtime/servlet/RuntimeServlet.java
===================================================================
--- main/kernel/src/org/ametys/runtime/servlet/RuntimeServlet.java	(revision 38980)
+++ main/kernel/src/org/ametys/runtime/servlet/RuntimeServlet.java	(working copy)
@@ -72,6 +72,8 @@
 import org.slf4j.MDC;
 import org.xml.sax.XMLReader;
 
+import org.ametys.core.datasource.ldap.LDAPDataSourceManager;
+import org.ametys.core.datasource.sql.SQLDataSourceManager;
 import org.ametys.runtime.config.Config;
 import org.ametys.runtime.config.ConfigManager;
 import org.ametys.runtime.data.AmetysHomeLock;
@@ -111,6 +113,7 @@
     /** The default ametys home path (relative to the servlet context)  */
     public static final String AMETYS_HOME_DEFAULT = "/WEB-INF/data";
 
+
     /** The run modes */
     public enum RunMode
     {
@@ -268,12 +271,18 @@
         _ametysHomeLock = new AmetysHomeLock(_ametysHome);
         _ametysHomeLock.acquire();
     }
-
+    
     private void _initAmetys() throws Exception
     {
         // WEB-INF/param/runtime.xml loading
         _loadRuntimeConfig();
-
+        
+        // SQL Datasources configuration file
+        SQLDataSourceManager.setFilename(RuntimeConfig.getInstance().getAmetysHome() + "/datasources-sql.xml");
+        
+        // LDAP Datasources configuration file
+        LDAPDataSourceManager.setFilename(RuntimeConfig.getInstance().getAmetysHome() + "/datasources-ldap.xml");
+        
         _createCocoon();
         
         // Upload initialization
@@ -417,13 +426,13 @@
             _logger.debug("Servlet destroyed - disposing Cocoon");
             _disposeCocoon();
         }
-        
+
         if (_ametysHomeLock != null)
         {
             _ametysHomeLock.release();
             _ametysHomeLock = null;
         }
-        
+
         _avalonContext = null;
         _logger = null;
         _loggerManager = null;
Index: main/plugin-admin/resources/js/Ametys/plugins/admin/datasource/DataSourceActions.js
===================================================================
--- main/plugin-admin/resources/js/Ametys/plugins/admin/datasource/DataSourceActions.js	(revision 0)
+++ main/plugin-admin/resources/js/Ametys/plugins/admin/datasource/DataSourceActions.js	(revision 0)
@@ -0,0 +1,118 @@
+/*	
+ *  Copyright 2015 Anyware Services
+ *
+ *  Licensed under the Apache License, Version 2.0 (the "License");
+ *  you may not use this file except in compliance with the License.
+ *  You may obtain a copy of the License at
+ *
+ *      http://www.apache.org/licenses/LICENSE-2.0
+ *
+ *  Unless required by applicable law or agreed to in writing, software
+ *  distributed under the License is distributed on an "AS IS" BASIS,
+ *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+ *  See the License for the specific language governing permissions and
+ *  limitations under the License.
+ */
+
+/**
+ * This singleton gathers the actions invoked when clicking the add/modify/remove data source buttons
+ * @private
+ */
+Ext.define('Ametys.plugins.admin.datasource.DataSourceActions', {
+	
+	singleton: true,
+	
+	/**
+	 * Add a data source
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller the controller calling this function
+	 */
+	add: function(controller)
+	{
+		switch (controller.getInitialConfig('type'))
+		{
+			case 'SQL':
+				Ametys.plugins.admin.datasource.EditSQLDataSourceHelper.add();
+				break;
+			case 'LDAP': 
+				Ametys.plugins.admin.datasource.EditLDAPDataSourceHelper.add();
+				break;
+			default:
+				throw 'Unrecognized data source type' + controller.getInitialConfig('type');
+		}
+	},
+	
+	/**
+	 * Modify the selected data source
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller the controller calling this function
+	 */
+	modify: function(controller)
+	{
+		var dataSourceTarget = controller.getMatchingTargets()[0];
+		if (dataSourceTarget != null)
+		{
+			switch (controller.getInitialConfig('type'))
+			{
+				case 'SQL':
+					Ametys.plugins.admin.datasource.EditSQLDataSourceHelper.edit(dataSourceTarget.getParameters().id);
+					break;
+				case 'LDAP': 
+					Ametys.plugins.admin.datasource.EditLDAPDataSourceHelper.edit(dataSourceTarget.getParameters().id);
+					break;
+				default:
+					throw 'Unrecognized data source type' + controller.getInitialConfig('type');
+			}
+		}
+	},
+	
+	/**
+	 * Remove the selected data source(s)
+	 * @param {Ametys.ribbon.element.ui.ButtonController} controller the controller calling this function
+	 */
+	remove: function(controller)
+	{
+		var dataSourceTargets = controller.getMatchingTargets();
+		if (dataSourceTargets.length > 0)
+		{
+			var dataSourceType = controller.getInitialConfig('type');
+			var message = dataSourceTargets.length == 1 ? "<i18n:text i18n:key='PLUGINS_ADMIN_UITOOL_DELETE_SINGLE_DATASOURCE_BOX_MESSAGE'/>"
+													    : "<i18n:text i18n:key='PLUGINS_ADMIN_UITOOL_DELETE_SEVERAL_DATASOURCE_BOX_MESSAGE'/>";
+			
+			Ametys.MessageBox.confirm (
+				"<i18n:text i18n:key='PLUGINS_ADMIN_UITOOL_DELETE_DATASOURCE_BOX_TITLE'/>",
+				message,
+				Ext.bind(this._removeConfirm, this, [dataSourceType, dataSourceTargets], 1),
+				this
+			);
+		}
+	},
+	
+	/**
+	 * Callback function invoked when the 'Yes' or 'No' button of the dialog box was clicked
+	 * Effectively deletes the selected data sources of does nothing.
+	 * @param {String} answer
+	 * @param {String} type the type of the data source
+	 * @param {Ametys.message.MessageTarget[]} dataSourceTargets the data source message targets.
+	 */
+	_removeConfirm: function(answer, type, dataSourceTargets)
+	{
+		if (answer == 'yes')
+		{
+			var ids = [];
+			Ext.Array.each(dataSourceTargets, function(dataSourceTarget){
+				ids.push(dataSourceTarget.getParameters().id);
+			});
+			
+			switch (type)
+			{
+				case 'SQL':
+					Ametys.plugins.admin.datasource.DataSourceDAO.removeSQLDataSource([ids], null, {});
+					break;
+				case 'LDAP': 
+					Ametys.plugins.admin.datasource.DataSourceDAO.removeLDAPDataSource([ids], null, {});
+					break;
+				default:
+					throw 'Unrecognized data source type' + type;
+			}
+		}
+	}
+});
\ No newline at end of file
